%bcond_with bootstrap

Summary:        Java regression test package
Name:           junit
Version:        4.13.1
Release:        8%{?dist}
License:        EPL-1.0
URL:            http://www.junit.org/
Source0:        https://github.com/junit-team/junit/archive/r%{version}.tar.gz
Patch3000:      0001-Port-to-hamcrest-2.2.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap-openjdk8
%else
BuildRequires:  maven-local-openjdk8
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.hamcrest:hamcrest-core)
BuildRequires:  mvn(org.apache.maven.surefire:surefire-junit4)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
JUnit is a regression testing framework written by Erich Gamma and Kent Beck. 
It is used by the developer who implements unit tests in Java. JUnit is Open
Source Software, released under the Common Public License Version 1.0 and 
hosted on GitHub.

%package manual
Summary:        Manual for %{name}

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.



%prep
%autosetup -p1 -n junit4-r%{version}
find -name '*.jar' -delete
find -name '*.class' -delete
rm -r "src/site"

sed -i /InaccessibleBaseClassTest/d src/test/java/org/junit/tests/AllTests.java

%pom_remove_plugin :replacer
sed s/@version@/%{version}/ src/main/java/junit/runner/Version.java.template >src/main/java/junit/runner/Version.java

%pom_remove_plugin :animal-sniffer-maven-plugin

%pom_remove_plugin :maven-javadoc-plugin

%pom_xpath_inject pom:project "<packaging>bundle</packaging>"
%pom_xpath_inject pom:build/pom:plugins "
    <plugin>
      <groupId>org.apache.felix</groupId>
      <artifactId>maven-bundle-plugin</artifactId>
      <extensions>true</extensions>
      <configuration>
        <instructions>
          <Bundle-SymbolicName>org.junit</Bundle-SymbolicName>
          <Export-Package>{local-packages},!org.hamcrest*,*;x-internal:=true</Export-Package>
          <_nouses>true</_nouses>
        </instructions>
      </configuration>
    </plugin>"

%mvn_file : %{name}

%mvn_alias junit:junit junit:junit-dep



%build
%mvn_build -- -DjdkVersion=1.7 -P\!restrict-doclint



%install
%mvn_install



%files -f .mfiles
%license LICENSE-junit.txt
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE-junit.txt

%files manual
%license LICENSE-junit.txt
%doc doc/*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.13.1-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.13.1-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.13.1-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.13.1-5
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 4.13.1-4
- switched to non-bootstrap building

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 4.13.1-3
- rebuilding for opencloudos

* Fri Mar 24 2023 rockerzhu <rockerzhu@tencent.com> - 4.13.1-2
- Rebuild

* Thu Mar 23 2023 cunshunxia <cunshunxia@tencent.com> - 4.13.1-1
- initial build